misc/cw - The NetBSD Packages Collection

Non-intrusive color wrapper for common commands

Cw is a non-intrusive real-time ANSI color wrapper for common unix-based
command. It is designed to simulate the environment of the commands being
executed, so that if a person types 'du', 'df', 'ping', etc.  in their
shell it will automatically color the output in real-time according to
a definition file containing the color format desired.  cw has support
for wildcard match coloring, tokenized coloring, headers/footers, case
scenario coloring, command line dependent definition coloring, and
includes over 50 pre-made definition files.

Build dependencies

pkgtools/cwrappers devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfcw-1.0.16.tgz
NetBSD 8.0earmv7hfcw-1.0.16.tgz
NetBSD 8.0earmv7hfcw-1.0.16.tgz
NetBSD 8.0i386cw-1.0.16.tgz
NetBSD 8.0i386cw-1.0.16.tgz
NetBSD 8.0i386cw-1.0.16.tgz
NetBSD 8.0powerpccw-1.0.16.tgz
NetBSD 8.0powerpccw-1.0.16.tgz
NetBSD 8.0powerpccw-1.0.16.tgz
NetBSD 8.0x86_64cw-1.0.16.tgz
NetBSD 8.0x86_64cw-1.0.16.tgz
NetBSD 9.0aarch64cw-1.0.16.tgz
NetBSD 9.0aarch64cw-1.0.16.tgz
NetBSD 9.0aarch64cw-1.0.16.tgz
NetBSD 9.0alphacw-1.0.16.tgz
NetBSD 9.0alphacw-1.0.16.tgz
NetBSD 9.0alphacw-1.0.16.tgz
NetBSD 9.0earmv6hfcw-1.0.16.tgz
NetBSD 9.0earmv6hfcw-1.0.16.tgz
NetBSD 9.0earmv6hfcw-1.0.16.tgz
NetBSD 9.0earmv6hfcw-1.0.16.tgz
NetBSD 9.0earmv7hfcw-1.0.16.tgz
NetBSD 9.0earmv7hfcw-1.0.16.tgz
NetBSD 9.0earmv7hfcw-1.0.16.tgz
NetBSD 9.0earmv7hfcw-1.0.16.tgz
NetBSD 9.0i386cw-1.0.16.tgz
NetBSD 9.0i386cw-1.0.16.tgz
NetBSD 9.0mips64ebcw-1.0.16.tgz
NetBSD 9.0mips64ebcw-1.0.16.tgz
NetBSD 9.0mips64ebcw-1.0.16.tgz
NetBSD 9.0powerpccw-1.0.16.tgz
NetBSD 9.0powerpccw-1.0.16.tgz
NetBSD 9.0sparc64cw-1.0.16.tgz
NetBSD 9.0sparc64cw-1.0.16.tgz
NetBSD 9.0sparc64cw-1.0.16.tgz
NetBSD 9.0sparc64cw-1.0.16.tgz
NetBSD 9.0sparccw-1.0.16.tgz
NetBSD 9.0x86_64cw-1.0.16.tgz
NetBSD 9.0x86_64cw-1.0.16.tgz
NetBSD 9.0x86_64cw-1.0.16.tgz
NetBSD 9.0x86_64cw-1.0.16.tgz
NetBSD 9.0x86_64cw-1.0.16.tgz
NetBSD 9.0x86_64cw-1.0.16.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.